POST api/partner/stream
Метод возвращает файл ЭПД
Request Information
URI Parameters
None.
Body Parameters
Body| Name | Description | Type | Additional information |
|---|---|---|---|
| PartnerId |
Идентификатор клиента |
globally unique identifier |
None. |
| User |
Пользователь |
UserModel |
None. |
| Order |
Модель заказа |
OrderModel |
None. |
| Read |
Модель для чтения |
ReadModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"partnerId": "ef0fbc3f-56b5-4cb2-8567-698b87c26300",
"user": {
"id": 1,
"email": {
"address": "sample string 1",
"isApproved": true
}
},
"order": {
"id": "ee0ac32a-f1d5-4cca-829c-2204250efe4c",
"identifiers": [
1,
2
]
},
"read": {
"orderId": "a502a5db-6fab-407a-bfd3-3103b6c1a046",
"eId": 2
}
}
application/xml, text/xml
Sample:
<PartnerController.Body xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RucontAPI.Controllers">
<Order>
<Id>ee0ac32a-f1d5-4cca-829c-2204250efe4c</Id>
<Identifiers xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:long>1</d3p1:long>
<d3p1:long>2</d3p1:long>
</Identifiers>
</Order>
<PartnerId>ef0fbc3f-56b5-4cb2-8567-698b87c26300</PartnerId>
<Read>
<EId>2</EId>
<OrderId>a502a5db-6fab-407a-bfd3-3103b6c1a046</OrderId>
</Read>
<User>
<Email>
<Address>sample string 1</Address>
<IsApproved>true</IsApproved>
</Email>
<Id>1</Id>
</User>
</PartnerController.Body>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |